Page MenuHomePhabricator

Enlightenment stopped rendering
Closed, ResolvedPublic

Description

Git from this morning on GL. Shows the text and stops there burning 100% CPU.

log of start (probably logged a few restarts with killall -9 enlightenment)

@ManMower i blame you for everything

ESTART: 0.00002 [0.00002] - Begin Startup
ESTART: 0.00009 [0.00008] - Signal Trap
ESTART: 0.00011 [0.00001] - Signal Trap Done
ESTART: 0.00014 [0.00003] - Eina Init
ESTART: 0.00086 [0.00072] - Eina Init Done
ESTART: 0.00088 [0.00002] - Determine Prefix
ESTART: 0.00107 [0.00019] - Determine Prefix Done
ESTART: 0.00110 [0.00003] - Environment Variables
ESTART: 0.00115 [0.00005] - Environment Variables Done
ESTART: 0.00116 [0.00001] - Parse Arguments
ESTART: 0.00117 [0.00001] - Parse Arguments Done
ESTART: 0.00118 [0.00001] - Eet Init
ESTART: 0.00124 [0.00005] - Eet Init Done
ESTART: 0.00125 [0.00001] - Ecore Init
ESTART: 0.03004 [0.02879] - Ecore Init Done
ESTART: 0.10115 [0.07111] - EFX Init
ESTART: 0.10122 [0.00007] - EFX Init Done
ESTART: 0.10123 [0.00002] - EIO Init
ESTART: 0.19194 [0.09070] - EIO Init Done
ESTART: 0.19199 [0.00005] - Ecore Event Handlers
ESTART: 0.19201 [0.00002] - Ecore Event Handlers Done
ESTART: 0.19203 [0.00002] - Ecore_File Init
ESTART: 0.19205 [0.00002] - Ecore_File Init Done
ESTART: 0.19207 [0.00002] - Ecore_Con Init
ESTART: 0.19209 [0.00002] - Ecore_Con Init Done
ESTART: 0.19216 [0.00007] - Ecore_Ipc Init
ESTART: 0.19218 [0.00002] - Ecore_Ipc Init Done
ESTART: 0.19229 [0.00011] - Ecore_Evas Init
ESTART: 0.19330 [0.00101] - Ecore_Evas Init Done
ESTART: 0.19334 [0.00004] - Elementary Init
ESTART: 0.30299 [0.10965] - Elementary Init Done
ESTART: 0.30303 [0.00004] - Emotion Init
ESTART: 0.30349 [0.00045] - Emotion Init Done
ESTART: 0.30353 [0.00004] - Ecore_Evas Engine Check
ESTART: 0.30354 [0.00002] - Ecore_Evas Engine Check Done
ESTART: 0.30356 [0.00002] - E Intl Init
ESTART: 0.30364 [0.00008] - E Intl Init Done
ESTART: 0.30366 [0.00002] - E_Alert Init
ESTART: 0.30368 [0.00002] - E_Alert Init Done
ESTART: 0.30369 [0.00002] - E Directories Init
ESTART: 0.30391 [0.00022] - E Directories Init Done
ESTART: 0.30393 [0.00002] - E_Filereg Init
ESTART: 0.30397 [0.00003] - E_Filereg Init Done
ESTART: 0.30398 [0.00002] - E_Config Init
ESTART: 0.31436 [0.01038] - E_Config Init Done
ESTART: 0.31443 [0.00007] - E_Env Init
ESTART: 0.31447 [0.00004] - E_Env Init Done
ESTART: 0.31450 [0.00003] - E Paths Init
ESTART: 0.31459 [0.00009] - E Paths Init Done
ESTART: 0.31461 [0.00002] - E_Ipc Init
ESTART: 0.31523 [0.00063] - E_Ipc Init Done
ESTART: 0.31527 [0.00003] - E_Font Init
ESTART: 0.31530 [0.00003] - E_Font Init Done
ESTART: 0.31532 [0.00002] - E_Font Apply
ESTART: 0.31533 [0.00002] - E_Font Apply Done
ESTART: 0.31535 [0.00002] - E_Theme Init
ESTART: 0.31540 [0.00005] - E_Theme Init Done
ESTART: 0.31542 [0.00002] - E_Moveresize Init
ESTART: 0.31550 [0.00008] - E_Moveresize Init Done
ESTART: 0.31554 [0.00004] - E_Msgbus Init
ESTART: 0.32599 [0.01045] - E_Msgbus Init Done
ESTART: 0.32604 [0.00005] - Efreet Init
ESTART: 0.32606 [0.00002] - Efreet Init Done
ESTART: 0.32608 [0.00002] - E_Intl Post Init
ESTART: 0.37269 [0.04660] - E_Intl Post Init Done
ESTART: 0.37273 [0.00005] - E_Configure Init
ESTART: 0.37332 [0.00059] - E_Configure Init Done
ESTART: 0.37337 [0.00005] - E_Actions Init
ESTART: 0.37462 [0.00125] - E_Actions Init Done
ESTART: 0.37470 [0.00009] - E_Powersave Init
ESTART: 0.37472 [0.00002] - E_Powersave Init Done
ESTART: 0.37475 [0.00003] - Screens Init
ESTART: 0.37477 [0.00002] - 	screens: client
ESTART: 0.37480 [0.00004] - E_Screensaver Init
ESTART: 0.37483 [0.00002] - 	screens: client volume
ESTART: 0.37484 [0.00002] - 	screens: win
ESTART: 0.37489 [0.00004] - Compositor Init
<<<< Enlightenment Error >>>>
Enlightenment cannot initialize Ecore_X!

LOAD WL_WL MODULE
ERR<5161>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb764977e 0xb7627000
/usr/lib/libeina.so.1	 0xb764a402 0xb7627000
/usr/lib/libeina.so.1	 0xb764b781 0xb7627000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1784bbe 0xb177e000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1784c98 0xb177e000
/usr/lib/libecore_evas.so.1	 0xb6d73ff3 0xb6d60000
/usr/lib/libecore_evas.so.1	 0xb6d741d6 0xb6d60000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb178ae4c 0xb178a000
/usr/bin/enlightenment	 0x539c2a 0x446000
/usr/bin/enlightenment	 0x4a01e8 0x446000
/usr/bin/enlightenment	 0x477d64 0x446000
/usr/lib/libc.so.6	 0xb69a91d3 0xb6991000
/usr/bin/enlightenment	 0x478a20 0x446000
EOF

ERR<5161>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb764977e 0xb7627000
/usr/lib/libeina.so.1	 0xb764a402 0xb7627000
/usr/lib/libeina.so.1	 0xb764b781 0xb7627000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1784bbe 0xb177e000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1784c58 0xb177e000
/usr/lib/libecore_evas.so.1	 0xb6d73d03 0xb6d60000
/usr/lib/libecore_evas.so.1	 0xb6d73ee6 0xb6d60000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb178adda 0xb178a000
/usr/bin/enlightenment	 0x539c2a 0x446000
/usr/bin/enlightenment	 0x4a01e8 0x446000
/usr/bin/enlightenment	 0x477d64 0x446000
/usr/lib/libc.so.6	 0xb69a91d3 0xb6991000
/usr/bin/enlightenment	 0x478a20 0x446000
EOF

Could not create wayland canvasLOAD WL_X11 MODULE
X11 connect failed!
LOAD WL_DRM MODULE
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: loaded existing config
RRR: check lid for LVDS-1...
RRR: check lid for LVDS-1...
RRR: re-get info before applying..
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: apply config...
RRR: apply 'LVDS-1'...
RRR: check lid for LVDS-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 100
RRR: takeover config...
RRR: eval config...
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'LVDS-1' @ 0 0 - 1024x576
RRR:--- 0 0 -> 1024 576
RRR: really apply config...
DRM2 RRR: size range: 0x0 -> 4096x4096
DRM2 RRR: set vsize: 1024x576
	DRM2 RRR: Mode
		DRM2 RRR: Geom: 1024 576
		DRM2 RRR: Refresh: 60.000000
		DRM2 RRR: Preferred: 0
	DRM2 RRR: Rotation: 0
	DRM2 RRR: Relative Mode: 1
	DRM2 RRR: Relative To: (null)
	DRM2 RRR: Align: 0.000000
RRR: done config...
xinerama screen 0 0 1024x576
xinerama setup............... 1 (nil)
ESTART: 1.76194 [1.38705] - E_Dnd Init
ESTART: 1.76200 [0.00007] - E_Dnd Init Done
ESTART: 1.76202 [0.00002] - Screens Init Done
ESTART: 1.76204 [0.00001] - E_Pointer Init
ESTART: 1.76205 [0.00002] - E_Pointer Init Done
ESTART: 1.76208 [0.00002] - E_Scale Init
ESTART: 1.78095 [0.01887] - E_Scale Init Done
ESTART: 1.78099 [0.00004] - E_Splash Init
ESTART: 1.78102 [0.00002] - E_Splash Init Done
ESTART: 1.82660 [0.04558] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment cannot access test image for 'eet' filetype. Check your install for setup issues.

ERR<5161>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x80006e62 is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=62, id=dc, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb764977e 0xb7627000
/usr/lib/libeina.so.1	 0xb764a402 0xb7627000
/usr/lib/libeina.so.1	 0xb764b781 0xb7627000
/usr/lib/libeo.so.1	 0xb62cc5b6 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c94a3 0xb62c1000
/usr/lib/libeo.so.1	 0xb62ce25e 0xb62c1000
/usr/lib/libevas.so.1	 0xb7231aa4 0xb71fe000
/usr/lib/libevas.so.1	 0xb724beb0 0xb71fe000
/usr/lib/libeo.so.1	 0xb62cedf4 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c60b3 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c9ff2 0xb62c1000
/usr/lib/libecore_evas.so.1	 0xb6d718fb 0xb6d60000
/usr/bin/enlightenment	 0x477b8a 0x446000
/usr/lib/libc.so.6	 0xb69a91d3 0xb6991000
/usr/bin/enlightenment	 0x478a20 0x446000
EOF

ERR<5161>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x80006ee3 is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=63, id=dc, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb764977e 0xb7627000
/usr/lib/libeina.so.1	 0xb764a402 0xb7627000
/usr/lib/libeina.so.1	 0xb764b781 0xb7627000
/usr/lib/libeo.so.1	 0xb62cc5b6 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c94a3 0xb62c1000
/usr/lib/libeo.so.1	 0xb62ce25e 0xb62c1000
/usr/lib/libevas.so.1	 0xb7231aa4 0xb71fe000
/usr/lib/libevas.so.1	 0xb724beb0 0xb71fe000
/usr/lib/libeo.so.1	 0xb62cedf4 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c60b3 0xb62c1000
/usr/lib/libeo.so.1	 0xb62c9ff2 0xb62c1000
/usr/lib/libecore_evas.so.1	 0xb6d718fb 0xb6d60000
/usr/bin/enlightenment	 0x477b8a 0x446000
/usr/lib/libc.so.6	 0xb69a91d3 0xb6991000
/usr/bin/enlightenment	 0x478a20 0x446000
EOF

ESTART: 1.93774 [0.11114] - Test File Format Support Done
ESTART: 1.93796 [0.00023] - E_Acpi Init
ESTART: 1.94049 [0.00252] - E_Acpi Init Done
ESTART: 1.94071 [0.00022] - E_Backlight Init
ESTART: 1.94482 [0.00411] - E_Backlight Init Done
ESTART: 1.94499 [0.00018] - E_Dpms Init
ESTART: 1.94505 [0.00006] - E_Dpms Init Done
ESTART: 1.94518 [0.00012] - E_Desklock Init
ESTART: 1.94537 [0.00019] - E_Desklock Init Done
ESTART: 1.94555 [0.00018] - Efreet Paths
ESTART: 1.94565 [0.00010] - Efreet Paths Done
ESTART: 1.94577 [0.00012] - E_Sys Init
ESTART: 1.94814 [0.00237] - E_Sys Init Done
ESTART: 1.94834 [0.00020] - E_Exec Init
ESTART: 1.94839 [0.00005] - E_Exec Init Done
ESTART: 1.94843 [0.00004] - E_Comp Freeze
ESTART: 1.94847 [0.00004] - E_Comp Freeze Done
ESTART: 1.94858 [0.00011] - E_Fm2 Init
ESTART: 1.94953 [0.00095] - E_Fm2 Init Done
ESTART: 1.94972 [0.00019] - E_Msg Init
ESTART: 1.94976 [0.00004] - E_Msg Init Done
ESTART: 1.94987 [0.00011] - E_Grabinput Init
ESTART: 1.94991 [0.00004] - E_Grabinput Init Done
ESTART: 1.95002 [0.00010] - E_Module Init
ESTART: 1.95005 [0.00004] - E_Module Init Done
ESTART: 1.95015 [0.00010] - E_Remember Init
ESTART: 1.95080 [0.00065] - E_Remember Init Done
ESTART: 1.95097 [0.00016] - E_Gadget Init
ESTART: 1.95496 [0.00400] - E_Gadget Init Done
ESTART: 1.95508 [0.00011] - E_Gadcon Init
ESTART: 1.95510 [0.00003] - E_Gadcon Init Done
ESTART: 1.95515 [0.00005] - E_Toolbar Init
ESTART: 1.95519 [0.00004] - E_Toolbar Init Done
ESTART: 1.95524 [0.00005] - E_Bg Init
ESTART: 1.95532 [0.00008] - E_Bg Init Done
ESTART: 1.95538 [0.00006] - E_Mouse Init
ESTART: 1.95541 [0.00003] - E_Mouse Init Done
ESTART: 1.95551 [0.00011] - E_Bindings Init
ESTART: 1.95598 [0.00046] - E_Bindings Init Done
ESTART: 1.95608 [0.00010] - E_Thumb Init
ESTART: 1.95611 [0.00003] - E_Thumb Init Done
ESTART: 1.95613 [0.00002] - E_Icon Init
ESTART: 1.95614 [0.00001] - E_Icon Init Done
ESTART: 1.95616 [0.00002] - E_Update Init
ESTART: 1.95622 [0.00006] - E_Update Init Done
ESTART: 1.95630 [0.00008] - E_Deskenv Init
ESTART: 1.95636 [0.00006] - E_Deskenv Init Done
ESTART: 1.95642 [0.00006] - E_Order Init
ESTART: 1.95648 [0.00005] - E_Order Init Done
ESTART: 1.95649 [0.00002] - E_Comp_Canvas Keys Grab
ESTART: 1.95651 [0.00002] - E_Comp_Canvas Keys Grab Done
ESTART: 1.95657 [0.00005] - Load Modules
ESTART: 1.95659 [0.00002] - Load Modules Done
ESTART: 1.95660 [0.00002] - Run Startup Apps
ESTART: 1.95664 [0.00004] - Run Startup Apps Done
ESTART: 1.95670 [0.00006] - E_Comp Thaw
ESTART: 1.95677 [0.00007] - E_Comp Thaw Done
ESTART: 1.95679 [0.00002] - E_Test Init
ESTART: 1.95681 [0.00002] - E_Test Done
ESTART: 1.95687 [0.00007] - Bryce Init
ESTART: 0.00001 [0.00001] - Begin Startup
ESTART: 0.00007 [0.00006] - Signal Trap
ESTART: 0.00009 [0.00002] - Signal Trap Done
ESTART: 0.00012 [0.00003] - Eina Init
ESTART: 0.00086 [0.00074] - Eina Init Done
ESTART: 0.00088 [0.00002] - Determine Prefix
ESTART: 0.00107 [0.00019] - Determine Prefix Done
ESTART: 0.00111 [0.00004] - Environment Variables
ESTART: 0.00119 [0.00008] - Environment Variables Done
ESTART: 0.00121 [0.00002] - Parse Arguments
ESTART: 0.00122 [0.00001] - Parse Arguments Done
ESTART: 0.00124 [0.00001] - Eet Init
ESTART: 0.00129 [0.00006] - Eet Init Done
ESTART: 0.00131 [0.00002] - Ecore Init
ESTART: 0.03621 [0.03489] - Ecore Init Done
ESTART: 0.11564 [0.07943] - EFX Init
ESTART: 0.11573 [0.00009] - EFX Init Done
ESTART: 0.11575 [0.00002] - EIO Init
ESTART: 0.12071 [0.00496] - EIO Init Done
ESTART: 0.12076 [0.00004] - Ecore Event Handlers
ESTART: 0.12078 [0.00002] - Ecore Event Handlers Done
ESTART: 0.12080 [0.00002] - Ecore_File Init
ESTART: 0.12082 [0.00002] - Ecore_File Init Done
ESTART: 0.12084 [0.00002] - Ecore_Con Init
ESTART: 0.12085 [0.00002] - Ecore_Con Init Done
ESTART: 0.12087 [0.00002] - Ecore_Ipc Init
ESTART: 0.12089 [0.00002] - Ecore_Ipc Init Done
ESTART: 0.12099 [0.00010] - Ecore_Evas Init
ESTART: 0.12222 [0.00122] - Ecore_Evas Init Done
ESTART: 0.12226 [0.00004] - Elementary Init
ESTART: 0.21638 [0.09412] - Elementary Init Done
ESTART: 0.21644 [0.00005] - Emotion Init
ESTART: 0.21686 [0.00042] - Emotion Init Done
ESTART: 0.21689 [0.00003] - Ecore_Evas Engine Check
ESTART: 0.21690 [0.00002] - Ecore_Evas Engine Check Done
ESTART: 0.21692 [0.00002] - E Intl Init
ESTART: 0.21700 [0.00008] - E Intl Init Done
ESTART: 0.21702 [0.00002] - E_Alert Init
ESTART: 0.21703 [0.00002] - E_Alert Init Done
ESTART: 0.21705 [0.00002] - E Directories Init
ESTART: 0.21725 [0.00020] - E Directories Init Done
ESTART: 0.21727 [0.00002] - E_Filereg Init
ESTART: 0.21730 [0.00003] - E_Filereg Init Done
ESTART: 0.21732 [0.00002] - E_Config Init
ESTART: 0.22729 [0.00997] - E_Config Init Done
ESTART: 0.22737 [0.00008] - E_Env Init
ESTART: 0.22741 [0.00005] - E_Env Init Done
ESTART: 0.22745 [0.00003] - E Paths Init
ESTART: 0.22754 [0.00009] - E Paths Init Done
ESTART: 0.22755 [0.00002] - E_Ipc Init
ESTART: 0.22819 [0.00064] - E_Ipc Init Done
ESTART: 0.22823 [0.00003] - E_Font Init
ESTART: 0.22826 [0.00003] - E_Font Init Done
ESTART: 0.22828 [0.00002] - E_Font Apply
ESTART: 0.22829 [0.00001] - E_Font Apply Done
ESTART: 0.22830 [0.00001] - E_Theme Init
ESTART: 0.22836 [0.00005] - E_Theme Init Done
ESTART: 0.22837 [0.00002] - E_Moveresize Init
ESTART: 0.22841 [0.00004] - E_Moveresize Init Done
ESTART: 0.22845 [0.00004] - E_Msgbus Init
ESTART: 0.23329 [0.00484] - E_Msgbus Init Done
ESTART: 0.23333 [0.00004] - Efreet Init
ESTART: 0.23335 [0.00002] - Efreet Init Done
ESTART: 0.23337 [0.00002] - E_Intl Post Init
ESTART: 0.26890 [0.03553] - E_Intl Post Init Done
ESTART: 0.26895 [0.00004] - E_Configure Init
ESTART: 0.26958 [0.00063] - E_Configure Init Done
ESTART: 0.26962 [0.00004] - E_Actions Init
ESTART: 0.27098 [0.00136] - E_Actions Init Done
ESTART: 0.27107 [0.00009] - E_Powersave Init
ESTART: 0.27110 [0.00002] - E_Powersave Init Done
ESTART: 0.27113 [0.00003] - Screens Init
ESTART: 0.27115 [0.00002] - 	screens: client
ESTART: 0.27119 [0.00004] - E_Screensaver Init
ESTART: 0.27121 [0.00002] - 	screens: client volume
ESTART: 0.27123 [0.00002] - 	screens: win
ESTART: 0.27127 [0.00005] - Compositor Init
<<<< Enlightenment Error >>>>
Enlightenment cannot initialize Ecore_X!

LOAD WL_WL MODULE
ERR<5197>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb768f77e 0xb766d000
/usr/lib/libeina.so.1	 0xb7690402 0xb766d000
/usr/lib/libeina.so.1	 0xb7691781 0xb766d000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb17cabbe 0xb17c4000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb17cac98 0xb17c4000
/usr/lib/libecore_evas.so.1	 0xb6db9ff3 0xb6da6000
/usr/lib/libecore_evas.so.1	 0xb6dba1d6 0xb6da6000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb17d0e4c 0xb17d0000
/usr/bin/enlightenment	 0x53bc2a 0x448000
/usr/bin/enlightenment	 0x4a21e8 0x448000
/usr/bin/enlightenment	 0x479d64 0x448000
/usr/lib/libc.so.6	 0xb69ef1d3 0xb69d7000
/usr/bin/enlightenment	 0x47aa20 0x448000
EOF

ERR<5197>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb768f77e 0xb766d000
/usr/lib/libeina.so.1	 0xb7690402 0xb766d000
/usr/lib/libeina.so.1	 0xb7691781 0xb766d000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb17cabbe 0xb17c4000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb17cac58 0xb17c4000
/usr/lib/libecore_evas.so.1	 0xb6db9d03 0xb6da6000
/usr/lib/libecore_evas.so.1	 0xb6db9ee6 0xb6da6000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb17d0dda 0xb17d0000
/usr/bin/enlightenment	 0x53bc2a 0x448000
/usr/bin/enlightenment	 0x4a21e8 0x448000
/usr/bin/enlightenment	 0x479d64 0x448000
/usr/lib/libc.so.6	 0xb69ef1d3 0xb69d7000
/usr/bin/enlightenment	 0x47aa20 0x448000
EOF

Could not create wayland canvasLOAD WL_X11 MODULE
X11 connect failed!
LOAD WL_DRM MODULE
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: loaded existing config
RRR: check lid for LVDS-1...
RRR: check lid for LVDS-1...
RRR: re-get info before applying..
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: apply config...
RRR: apply 'LVDS-1'...
RRR: check lid for LVDS-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 100
RRR: takeover config...
RRR: eval config...
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'LVDS-1' @ 0 0 - 1024x576
RRR:--- 0 0 -> 1024 576
RRR: really apply config...
DRM2 RRR: size range: 0x0 -> 4096x4096
DRM2 RRR: set vsize: 1024x576
	DRM2 RRR: Mode
		DRM2 RRR: Geom: 1024 576
		DRM2 RRR: Refresh: 60.000000
		DRM2 RRR: Preferred: 0
	DRM2 RRR: Rotation: 0
	DRM2 RRR: Relative Mode: 1
	DRM2 RRR: Relative To: (null)
	DRM2 RRR: Align: 0.000000
RRR: done config...
xinerama screen 0 0 1024x576
xinerama setup............... 1 (nil)
ESTART: 1.22451 [0.95323] - E_Dnd Init
ESTART: 1.22457 [0.00007] - E_Dnd Init Done
ESTART: 1.22459 [0.00002] - Screens Init Done
ESTART: 1.22461 [0.00001] - E_Pointer Init
ESTART: 1.22463 [0.00002] - E_Pointer Init Done
ESTART: 1.22465 [0.00002] - E_Scale Init
ESTART: 1.24347 [0.01882] - E_Scale Init Done
ESTART: 1.24351 [0.00004] - E_Splash Init
ESTART: 1.24353 [0.00002] - E_Splash Init Done
ESTART: 1.24355 [0.00001] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment cannot access test image for 'eet' filetype. Check your install for setup issues.

ERR<5197>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x8000515e is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=5e, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb768f77e 0xb766d000
/usr/lib/libeina.so.1	 0xb7690402 0xb766d000
/usr/lib/libeina.so.1	 0xb7691781 0xb766d000
/usr/lib/libeo.so.1	 0xb63125b6 0xb6307000
/usr/lib/libeo.so.1	 0xb630f4a3 0xb6307000
/usr/lib/libeo.so.1	 0xb631425e 0xb6307000
/usr/lib/libevas.so.1	 0xb7277aa4 0xb7244000
/usr/lib/libevas.so.1	 0xb7291eb0 0xb7244000
/usr/lib/libeo.so.1	 0xb6314df4 0xb6307000
/usr/lib/libeo.so.1	 0xb630c0b3 0xb6307000
/usr/lib/libeo.so.1	 0xb630fff2 0xb6307000
/usr/lib/libecore_evas.so.1	 0xb6db78fb 0xb6da6000
/usr/bin/enlightenment	 0x479b8a 0x448000
/usr/lib/libc.so.6	 0xb69ef1d3 0xb69d7000
/usr/bin/enlightenment	 0x47aa20 0x448000
EOF

ERR<5197>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x800051df is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=5f, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb768f77e 0xb766d000
/usr/lib/libeina.so.1	 0xb7690402 0xb766d000
/usr/lib/libeina.so.1	 0xb7691781 0xb766d000
/usr/lib/libeo.so.1	 0xb63125b6 0xb6307000
/usr/lib/libeo.so.1	 0xb630f4a3 0xb6307000
/usr/lib/libeo.so.1	 0xb631425e 0xb6307000
/usr/lib/libevas.so.1	 0xb7277aa4 0xb7244000
/usr/lib/libevas.so.1	 0xb7291eb0 0xb7244000
/usr/lib/libeo.so.1	 0xb6314df4 0xb6307000
/usr/lib/libeo.so.1	 0xb630c0b3 0xb6307000
/usr/lib/libeo.so.1	 0xb630fff2 0xb6307000
/usr/lib/libecore_evas.so.1	 0xb6db78fb 0xb6da6000
/usr/bin/enlightenment	 0x479b8a 0x448000
/usr/lib/libc.so.6	 0xb69ef1d3 0xb69d7000
/usr/bin/enlightenment	 0x47aa20 0x448000
EOF

ESTART: 1.38125 [0.13770] - Test File Format Support Done
ESTART: 1.38130 [0.00005] - E_Acpi Init
ESTART: 1.38300 [0.00170] - E_Acpi Init Done
ESTART: 1.38307 [0.00007] - E_Backlight Init
ESTART: 1.38473 [0.00166] - E_Backlight Init Done
ESTART: 1.38478 [0.00005] - E_Dpms Init
ESTART: 1.38482 [0.00003] - E_Dpms Init Done
ESTART: 1.38485 [0.00003] - E_Desklock Init
ESTART: 1.38497 [0.00012] - E_Desklock Init Done
ESTART: 1.38500 [0.00003] - Efreet Paths
ESTART: 1.38506 [0.00006] - Efreet Paths Done
ESTART: 1.38509 [0.00003] - E_Sys Init
ESTART: 1.38593 [0.00084] - E_Sys Init Done
ESTART: 1.38601 [0.00007] - E_Exec Init
ESTART: 1.38603 [0.00003] - E_Exec Init Done
ESTART: 1.38605 [0.00002] - E_Comp Freeze
ESTART: 1.38607 [0.00002] - E_Comp Freeze Done
ESTART: 1.38610 [0.00003] - E_Fm2 Init
ESTART: 1.38661 [0.00051] - E_Fm2 Init Done
ESTART: 1.38667 [0.00007] - E_Msg Init
ESTART: 1.38669 [0.00002] - E_Msg Init Done
ESTART: 1.38672 [0.00002] - E_Grabinput Init
ESTART: 1.38674 [0.00002] - E_Grabinput Init Done
ESTART: 1.38676 [0.00002] - E_Module Init
ESTART: 1.38678 [0.00002] - E_Module Init Done
ESTART: 1.38680 [0.00002] - E_Remember Init
ESTART: 1.38716 [0.00036] - E_Remember Init Done
ESTART: 1.38721 [0.00005] - E_Gadget Init
ESTART: 1.39036 [0.00315] - E_Gadget Init Done
ESTART: 1.39044 [0.00008] - E_Gadcon Init
ESTART: 1.39047 [0.00002] - E_Gadcon Init Done
ESTART: 1.39049 [0.00003] - E_Toolbar Init
ESTART: 1.39052 [0.00003] - E_Toolbar Init Done
ESTART: 1.39055 [0.00003] - E_Bg Init
ESTART: 1.39061 [0.00006] - E_Bg Init Done
ESTART: 1.39064 [0.00003] - E_Mouse Init
ESTART: 1.39066 [0.00003] - E_Mouse Init Done
ESTART: 1.39069 [0.00003] - E_Bindings Init
ESTART: 1.39112 [0.00043] - E_Bindings Init Done
ESTART: 1.39116 [0.00004] - E_Thumb Init
ESTART: 1.39118 [0.00002] - E_Thumb Init Done
ESTART: 1.39120 [0.00002] - E_Icon Init
ESTART: 1.39122 [0.00002] - E_Icon Init Done
ESTART: 1.39124 [0.00002] - E_Update Init
ESTART: 1.39130 [0.00007] - E_Update Init Done
ESTART: 1.39134 [0.00003] - E_Deskenv Init
ESTART: 1.39139 [0.00005] - E_Deskenv Init Done
ESTART: 1.39142 [0.00003] - E_Order Init
ESTART: 1.39147 [0.00005] - E_Order Init Done
ESTART: 1.39149 [0.00002] - E_Comp_Canvas Keys Grab
ESTART: 1.39151 [0.00002] - E_Comp_Canvas Keys Grab Done
ESTART: 1.39153 [0.00003] - Load Modules
ESTART: 1.39155 [0.00002] - Load Modules Done
ESTART: 1.39157 [0.00002] - Run Startup Apps
ESTART: 1.39160 [0.00003] - Run Startup Apps Done
ESTART: 1.39162 [0.00002] - E_Comp Thaw
ESTART: 1.39168 [0.00006] - E_Comp Thaw Done
ESTART: 1.39171 [0.00002] - E_Test Init
ESTART: 1.39172 [0.00002] - E_Test Done
ESTART: 1.39175 [0.00003] - Bryce Init
ESTART: 0.00001 [0.00001] - Begin Startup
ESTART: 0.00008 [0.00006] - Signal Trap
ESTART: 0.00010 [0.00002] - Signal Trap Done
ESTART: 0.00013 [0.00003] - Eina Init
ESTART: 0.00085 [0.00072] - Eina Init Done
ESTART: 0.00087 [0.00002] - Determine Prefix
ESTART: 0.00105 [0.00018] - Determine Prefix Done
ESTART: 0.00109 [0.00004] - Environment Variables
ESTART: 0.00117 [0.00008] - Environment Variables Done
ESTART: 0.00119 [0.00002] - Parse Arguments
ESTART: 0.00120 [0.00002] - Parse Arguments Done
ESTART: 0.00122 [0.00001] - Eet Init
ESTART: 0.00127 [0.00006] - Eet Init Done
ESTART: 0.00129 [0.00002] - Ecore Init
ESTART: 0.03632 [0.03503] - Ecore Init Done
ESTART: 0.11518 [0.07886] - EFX Init
ESTART: 0.11527 [0.00009] - EFX Init Done
ESTART: 0.11529 [0.00002] - EIO Init
ESTART: 0.12032 [0.00503] - EIO Init Done
ESTART: 0.12036 [0.00004] - Ecore Event Handlers
ESTART: 0.12037 [0.00002] - Ecore Event Handlers Done
ESTART: 0.12039 [0.00001] - Ecore_File Init
ESTART: 0.12040 [0.00001] - Ecore_File Init Done
ESTART: 0.12041 [0.00001] - Ecore_Con Init
ESTART: 0.12043 [0.00002] - Ecore_Con Init Done
ESTART: 0.12045 [0.00002] - Ecore_Ipc Init
ESTART: 0.12047 [0.00002] - Ecore_Ipc Init Done
ESTART: 0.12059 [0.00012] - Ecore_Evas Init
ESTART: 0.12150 [0.00091] - Ecore_Evas Init Done
ESTART: 0.12153 [0.00004] - Elementary Init
ESTART: 0.21647 [0.09494] - Elementary Init Done
ESTART: 0.21653 [0.00006] - Emotion Init
ESTART: 0.21699 [0.00046] - Emotion Init Done
ESTART: 0.21703 [0.00003] - Ecore_Evas Engine Check
ESTART: 0.21704 [0.00002] - Ecore_Evas Engine Check Done
ESTART: 0.21706 [0.00002] - E Intl Init
ESTART: 0.21714 [0.00008] - E Intl Init Done
ESTART: 0.21716 [0.00002] - E_Alert Init
ESTART: 0.21718 [0.00002] - E_Alert Init Done
ESTART: 0.21719 [0.00002] - E Directories Init
ESTART: 0.21739 [0.00020] - E Directories Init Done
ESTART: 0.21741 [0.00002] - E_Filereg Init
ESTART: 0.21745 [0.00003] - E_Filereg Init Done
ESTART: 0.21746 [0.00002] - E_Config Init
ESTART: 0.22755 [0.01008] - E_Config Init Done
ESTART: 0.22762 [0.00007] - E_Env Init
ESTART: 0.22764 [0.00002] - E_Env Init Done
ESTART: 0.22767 [0.00003] - E Paths Init
ESTART: 0.22777 [0.00010] - E Paths Init Done
ESTART: 0.22779 [0.00002] - E_Ipc Init
ESTART: 0.22846 [0.00067] - E_Ipc Init Done
ESTART: 0.22849 [0.00003] - E_Font Init
ESTART: 0.22853 [0.00004] - E_Font Init Done
ESTART: 0.22855 [0.00002] - E_Font Apply
ESTART: 0.22857 [0.00002] - E_Font Apply Done
ESTART: 0.22859 [0.00002] - E_Theme Init
ESTART: 0.22863 [0.00004] - E_Theme Init Done
ESTART: 0.22865 [0.00002] - E_Moveresize Init
ESTART: 0.22868 [0.00004] - E_Moveresize Init Done
ESTART: 0.22872 [0.00004] - E_Msgbus Init
ESTART: 0.23329 [0.00457] - E_Msgbus Init Done
ESTART: 0.23333 [0.00004] - Efreet Init
ESTART: 0.23335 [0.00002] - Efreet Init Done
ESTART: 0.23338 [0.00003] - E_Intl Post Init
ESTART: 0.27060 [0.03722] - E_Intl Post Init Done
ESTART: 0.27064 [0.00004] - E_Configure Init
ESTART: 0.27124 [0.00060] - E_Configure Init Done
ESTART: 0.27130 [0.00006] - E_Actions Init
ESTART: 0.27267 [0.00137] - E_Actions Init Done
ESTART: 0.27274 [0.00007] - E_Powersave Init
ESTART: 0.27276 [0.00002] - E_Powersave Init Done
ESTART: 0.27279 [0.00003] - Screens Init
ESTART: 0.27281 [0.00002] - 	screens: client
ESTART: 0.27285 [0.00004] - E_Screensaver Init
ESTART: 0.27287 [0.00003] - 	screens: client volume
ESTART: 0.27289 [0.00002] - 	screens: win
ESTART: 0.27295 [0.00006] - Compositor Init
<<<< Enlightenment Error >>>>
Enlightenment cannot initialize Ecore_X!

LOAD WL_WL MODULE
ERR<5210>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb766077e 0xb763e000
/usr/lib/libeina.so.1	 0xb7661402 0xb763e000
/usr/lib/libeina.so.1	 0xb7662781 0xb763e000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb179bbbe 0xb1795000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb179bc98 0xb1795000
/usr/lib/libecore_evas.so.1	 0xb6d8aff3 0xb6d77000
/usr/lib/libecore_evas.so.1	 0xb6d8b1d6 0xb6d77000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb17a1e4c 0xb17a1000
/usr/bin/enlightenment	 0x572c2a 0x47f000
/usr/bin/enlightenment	 0x4d91e8 0x47f000
/usr/bin/enlightenment	 0x4b0d64 0x47f000
/usr/lib/libc.so.6	 0xb69c01d3 0xb69a8000
/usr/bin/enlightenment	 0x4b1a20 0x47f000
EOF

ERR<5210>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb766077e 0xb763e000
/usr/lib/libeina.so.1	 0xb7661402 0xb763e000
/usr/lib/libeina.so.1	 0xb7662781 0xb763e000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb179bbbe 0xb1795000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb179bc58 0xb1795000
/usr/lib/libecore_evas.so.1	 0xb6d8ad03 0xb6d77000
/usr/lib/libecore_evas.so.1	 0xb6d8aee6 0xb6d77000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb17a1dda 0xb17a1000
/usr/bin/enlightenment	 0x572c2a 0x47f000
/usr/bin/enlightenment	 0x4d91e8 0x47f000
/usr/bin/enlightenment	 0x4b0d64 0x47f000
/usr/lib/libc.so.6	 0xb69c01d3 0xb69a8000
/usr/bin/enlightenment	 0x4b1a20 0x47f000
EOF

Could not create wayland canvasLOAD WL_X11 MODULE
X11 connect failed!
LOAD WL_DRM MODULE
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: loaded existing config
RRR: check lid for LVDS-1...
RRR: check lid for LVDS-1...
RRR: re-get info before applying..
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: apply config...
RRR: apply 'LVDS-1'...
RRR: check lid for LVDS-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 100
RRR: takeover config...
RRR: eval config...
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'LVDS-1' @ 0 0 - 1024x576
RRR:--- 0 0 -> 1024 576
RRR: really apply config...
DRM2 RRR: size range: 0x0 -> 4096x4096
DRM2 RRR: set vsize: 1024x576
	DRM2 RRR: Mode
		DRM2 RRR: Geom: 1024 576
		DRM2 RRR: Refresh: 60.000000
		DRM2 RRR: Preferred: 0
	DRM2 RRR: Rotation: 0
	DRM2 RRR: Relative Mode: 1
	DRM2 RRR: Relative To: (null)
	DRM2 RRR: Align: 0.000000
RRR: done config...
xinerama screen 0 0 1024x576
xinerama setup............... 1 (nil)
ESTART: 1.15565 [0.88270] - E_Dnd Init
ESTART: 1.15571 [0.00006] - E_Dnd Init Done
ESTART: 1.15573 [0.00002] - Screens Init Done
ESTART: 1.15574 [0.00001] - E_Pointer Init
ESTART: 1.15576 [0.00002] - E_Pointer Init Done
ESTART: 1.15579 [0.00002] - E_Scale Init
ESTART: 1.17448 [0.01869] - E_Scale Init Done
ESTART: 1.17452 [0.00004] - E_Splash Init
ESTART: 1.17454 [0.00002] - E_Splash Init Done
ESTART: 1.17455 [0.00002] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment cannot access test image for 'eet' filetype. Check your install for setup issues.

ERR<5210>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x8000513d is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=3d, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb766077e 0xb763e000
/usr/lib/libeina.so.1	 0xb7661402 0xb763e000
/usr/lib/libeina.so.1	 0xb7662781 0xb763e000
/usr/lib/libeo.so.1	 0xb62e35b6 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e04a3 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e525e 0xb62d8000
/usr/lib/libevas.so.1	 0xb7248aa4 0xb7215000
/usr/lib/libevas.so.1	 0xb7262eb0 0xb7215000
/usr/lib/libeo.so.1	 0xb62e5df4 0xb62d8000
/usr/lib/libeo.so.1	 0xb62dd0b3 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e0ff2 0xb62d8000
/usr/lib/libecore_evas.so.1	 0xb6d888fb 0xb6d77000
/usr/bin/enlightenment	 0x4b0b8a 0x47f000
/usr/lib/libc.so.6	 0xb69c01d3 0xb69a8000
/usr/bin/enlightenment	 0x4b1a20 0x47f000
EOF

ERR<5210>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x800051be is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=3e, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb766077e 0xb763e000
/usr/lib/libeina.so.1	 0xb7661402 0xb763e000
/usr/lib/libeina.so.1	 0xb7662781 0xb763e000
/usr/lib/libeo.so.1	 0xb62e35b6 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e04a3 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e525e 0xb62d8000
/usr/lib/libevas.so.1	 0xb7248aa4 0xb7215000
/usr/lib/libevas.so.1	 0xb7262eb0 0xb7215000
/usr/lib/libeo.so.1	 0xb62e5df4 0xb62d8000
/usr/lib/libeo.so.1	 0xb62dd0b3 0xb62d8000
/usr/lib/libeo.so.1	 0xb62e0ff2 0xb62d8000
/usr/lib/libecore_evas.so.1	 0xb6d888fb 0xb6d77000
/usr/bin/enlightenment	 0x4b0b8a 0x47f000
/usr/lib/libc.so.6	 0xb69c01d3 0xb69a8000
/usr/bin/enlightenment	 0x4b1a20 0x47f000
EOF

ESTART: 1.31264 [0.13809] - Test File Format Support Done
ESTART: 1.31269 [0.00005] - E_Acpi Init
ESTART: 1.31442 [0.00173] - E_Acpi Init Done
ESTART: 1.31449 [0.00007] - E_Backlight Init
ESTART: 1.31664 [0.00214] - E_Backlight Init Done
ESTART: 1.31670 [0.00007] - E_Dpms Init
ESTART: 1.31674 [0.00004] - E_Dpms Init Done
ESTART: 1.31677 [0.00003] - E_Desklock Init
ESTART: 1.31689 [0.00012] - E_Desklock Init Done
ESTART: 1.31692 [0.00003] - Efreet Paths
ESTART: 1.31698 [0.00006] - Efreet Paths Done
ESTART: 1.31701 [0.00003] - E_Sys Init
ESTART: 1.31824 [0.00123] - E_Sys Init Done
ESTART: 1.31831 [0.00007] - E_Exec Init
ESTART: 1.31833 [0.00002] - E_Exec Init Done
ESTART: 1.31835 [0.00002] - E_Comp Freeze
ESTART: 1.31837 [0.00002] - E_Comp Freeze Done
ESTART: 1.31840 [0.00002] - E_Fm2 Init
ESTART: 1.31893 [0.00053] - E_Fm2 Init Done
ESTART: 1.31900 [0.00007] - E_Msg Init
ESTART: 1.31902 [0.00002] - E_Msg Init Done
ESTART: 1.31904 [0.00003] - E_Grabinput Init
ESTART: 1.31906 [0.00002] - E_Grabinput Init Done
ESTART: 1.31909 [0.00003] - E_Module Init
ESTART: 1.31910 [0.00002] - E_Module Init Done
ESTART: 1.31913 [0.00002] - E_Remember Init
ESTART: 1.31949 [0.00036] - E_Remember Init Done
ESTART: 1.31953 [0.00005] - E_Gadget Init
ESTART: 1.32391 [0.00438] - E_Gadget Init Done
ESTART: 1.32399 [0.00008] - E_Gadcon Init
ESTART: 1.32402 [0.00003] - E_Gadcon Init Done
ESTART: 1.32404 [0.00002] - E_Toolbar Init
ESTART: 1.32409 [0.00005] - E_Toolbar Init Done
ESTART: 1.32412 [0.00003] - E_Bg Init
ESTART: 1.32418 [0.00007] - E_Bg Init Done
ESTART: 1.32421 [0.00003] - E_Mouse Init
ESTART: 1.32424 [0.00003] - E_Mouse Init Done
ESTART: 1.32427 [0.00003] - E_Bindings Init
ESTART: 1.32572 [0.00146] - E_Bindings Init Done
ESTART: 1.32580 [0.00008] - E_Thumb Init
ESTART: 1.32583 [0.00003] - E_Thumb Init Done
ESTART: 1.32584 [0.00002] - E_Icon Init
ESTART: 1.32586 [0.00002] - E_Icon Init Done
ESTART: 1.32587 [0.00002] - E_Update Init
ESTART: 1.32595 [0.00008] - E_Update Init Done
ESTART: 1.32599 [0.00003] - E_Deskenv Init
ESTART: 1.32604 [0.00005] - E_Deskenv Init Done
ESTART: 1.32607 [0.00003] - E_Order Init
ESTART: 1.32612 [0.00005] - E_Order Init Done
ESTART: 1.32614 [0.00002] - E_Comp_Canvas Keys Grab
ESTART: 1.32615 [0.00002] - E_Comp_Canvas Keys Grab Done
ESTART: 1.32618 [0.00003] - Load Modules
ESTART: 1.32620 [0.00002] - Load Modules Done
ESTART: 1.32621 [0.00002] - Run Startup Apps
ESTART: 1.32625 [0.00003] - Run Startup Apps Done
ESTART: 1.32627 [0.00002] - E_Comp Thaw
ESTART: 1.32646 [0.00020] - E_Comp Thaw Done
ESTART: 1.32649 [0.00003] - E_Test Init
ESTART: 1.32650 [0.00002] - E_Test Done
ESTART: 1.32653 [0.00003] - Bryce Init
ESTART: 0.00002 [0.00002] - Begin Startup
ESTART: 0.00010 [0.00009] - Signal Trap
ESTART: 0.00012 [0.00002] - Signal Trap Done
ESTART: 0.00015 [0.00003] - Eina Init
ESTART: 0.00085 [0.00070] - Eina Init Done
ESTART: 0.00087 [0.00002] - Determine Prefix
ESTART: 0.00107 [0.00020] - Determine Prefix Done
ESTART: 0.00112 [0.00005] - Environment Variables
ESTART: 0.00118 [0.00007] - Environment Variables Done
ESTART: 0.00120 [0.00002] - Parse Arguments
ESTART: 0.00122 [0.00001] - Parse Arguments Done
ESTART: 0.00123 [0.00001] - Eet Init
ESTART: 0.00130 [0.00007] - Eet Init Done
ESTART: 0.00131 [0.00002] - Ecore Init
ESTART: 0.03655 [0.03524] - Ecore Init Done
ESTART: 0.11698 [0.08043] - EFX Init
ESTART: 0.11708 [0.00010] - EFX Init Done
ESTART: 0.11710 [0.00002] - EIO Init
ESTART: 0.12180 [0.00470] - EIO Init Done
ESTART: 0.12183 [0.00003] - Ecore Event Handlers
ESTART: 0.12185 [0.00002] - Ecore Event Handlers Done
ESTART: 0.12186 [0.00001] - Ecore_File Init
ESTART: 0.12188 [0.00001] - Ecore_File Init Done
ESTART: 0.12189 [0.00001] - Ecore_Con Init
ESTART: 0.12190 [0.00001] - Ecore_Con Init Done
ESTART: 0.12192 [0.00001] - Ecore_Ipc Init
ESTART: 0.12193 [0.00001] - Ecore_Ipc Init Done
ESTART: 0.12202 [0.00009] - Ecore_Evas Init
ESTART: 0.12297 [0.00094] - Ecore_Evas Init Done
ESTART: 0.12301 [0.00004] - Elementary Init
ESTART: 0.21873 [0.09572] - Elementary Init Done
ESTART: 0.21878 [0.00005] - Emotion Init
ESTART: 0.21920 [0.00042] - Emotion Init Done
ESTART: 0.21923 [0.00003] - Ecore_Evas Engine Check
ESTART: 0.21929 [0.00006] - Ecore_Evas Engine Check Done
ESTART: 0.21931 [0.00002] - E Intl Init
ESTART: 0.21938 [0.00008] - E Intl Init Done
ESTART: 0.21940 [0.00002] - E_Alert Init
ESTART: 0.21942 [0.00002] - E_Alert Init Done
ESTART: 0.21944 [0.00002] - E Directories Init
ESTART: 0.21964 [0.00020] - E Directories Init Done
ESTART: 0.21966 [0.00002] - E_Filereg Init
ESTART: 0.21969 [0.00003] - E_Filereg Init Done
ESTART: 0.21971 [0.00002] - E_Config Init
ESTART: 0.22988 [0.01018] - E_Config Init Done
ESTART: 0.22995 [0.00007] - E_Env Init
ESTART: 0.22997 [0.00002] - E_Env Init Done
ESTART: 0.23000 [0.00003] - E Paths Init
ESTART: 0.23010 [0.00010] - E Paths Init Done
ESTART: 0.23012 [0.00002] - E_Ipc Init
ESTART: 0.23076 [0.00064] - E_Ipc Init Done
ESTART: 0.23079 [0.00004] - E_Font Init
ESTART: 0.23083 [0.00003] - E_Font Init Done
ESTART: 0.23084 [0.00002] - E_Font Apply
ESTART: 0.23086 [0.00002] - E_Font Apply Done
ESTART: 0.23087 [0.00001] - E_Theme Init
ESTART: 0.23091 [0.00004] - E_Theme Init Done
ESTART: 0.23093 [0.00002] - E_Moveresize Init
ESTART: 0.23096 [0.00003] - E_Moveresize Init Done
ESTART: 0.23099 [0.00003] - E_Msgbus Init
ESTART: 0.23572 [0.00473] - E_Msgbus Init Done
ESTART: 0.23577 [0.00005] - Efreet Init
ESTART: 0.23579 [0.00002] - Efreet Init Done
ESTART: 0.23581 [0.00002] - E_Intl Post Init
ESTART: 0.28665 [0.05084] - E_Intl Post Init Done
ESTART: 0.28669 [0.00004] - E_Configure Init
ESTART: 0.28726 [0.00057] - E_Configure Init Done
ESTART: 0.28732 [0.00006] - E_Actions Init
ESTART: 0.28871 [0.00138] - E_Actions Init Done
ESTART: 0.28877 [0.00007] - E_Powersave Init
ESTART: 0.28880 [0.00002] - E_Powersave Init Done
ESTART: 0.28883 [0.00003] - Screens Init
ESTART: 0.28885 [0.00002] - 	screens: client
ESTART: 0.28889 [0.00004] - E_Screensaver Init
ESTART: 0.28891 [0.00003] - 	screens: client volume
ESTART: 0.28893 [0.00002] - 	screens: win
ESTART: 0.28898 [0.00005] - Compositor Init
<<<< Enlightenment Error >>>>
Enlightenment cannot initialize Ecore_X!

LOAD WL_WL MODULE
ERR<5227>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb763877e 0xb7616000
/usr/lib/libeina.so.1	 0xb7639402 0xb7616000
/usr/lib/libeina.so.1	 0xb763a781 0xb7616000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1773bbe 0xb176d000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1773c98 0xb176d000
/usr/lib/libecore_evas.so.1	 0xb6d62ff3 0xb6d4f000
/usr/lib/libecore_evas.so.1	 0xb6d631d6 0xb6d4f000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb1779e4c 0xb1779000
/usr/bin/enlightenment	 0x5b2c2a 0x4bf000
/usr/bin/enlightenment	 0x5191e8 0x4bf000
/usr/bin/enlightenment	 0x4f0d64 0x4bf000
/usr/lib/libc.so.6	 0xb69981d3 0xb6980000
/usr/bin/enlightenment	 0x4f1a20 0x4bf000
EOF

ERR<5227>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c:2315 _ecore_evas_wl_common_new_internal() Failed to connect to Wayland Display (null)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb763877e 0xb7616000
/usr/lib/libeina.so.1	 0xb7639402 0xb7616000
/usr/lib/libeina.so.1	 0xb763a781 0xb7616000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1773bbe 0xb176d000
/usr/lib/ecore_evas/engines/wayland/v-1.20/module.so	 0xb1773c58 0xb176d000
/usr/lib/libecore_evas.so.1	 0xb6d62d03 0xb6d4f000
/usr/lib/libecore_evas.so.1	 0xb6d62ee6 0xb6d4f000
/usr/lib/enlightenment/modules/wl_wl/linux-gnu-x86-ver-0.22/module.so	 0xb1779dda 0xb1779000
/usr/bin/enlightenment	 0x5b2c2a 0x4bf000
/usr/bin/enlightenment	 0x5191e8 0x4bf000
/usr/bin/enlightenment	 0x4f0d64 0x4bf000
/usr/lib/libc.so.6	 0xb69981d3 0xb6980000
/usr/bin/enlightenment	 0x4f1a20 0x4bf000
EOF

Could not create wayland canvasLOAD WL_X11 MODULE
X11 connect failed!
LOAD WL_DRM MODULE
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: loaded existing config
RRR: check lid for LVDS-1...
RRR: check lid for LVDS-1...
RRR: re-get info before applying..
DRM2 RRR: ................. info get!
DRM2 RRR: .... out LVDS-1
DRM2 RRR: ...... connected 1
DRM2 RRR: Created Screen: LVDS-1/00ffffffffffff0006afd113000000000112010380160d780a11b597585793261e5054000000010101010101010101010101010101012c1500404140602030204400df7d000000180000000f0000000000000000000000000020000000fe0041554f0a202020202020202020000000fe004231303141573031205633200a0036
DRM2 RRR: ...... lid_closed = 0 (1 && 0)
DRM2 RRR: 'LVDS-1' 0 0 1024x576
RRR:-------------------------------- 2
RRR: 'LVDS-1': 0 0 1024x576
RRR: result max: 1024x576
RRR: apply config...
RRR: apply 'LVDS-1'...
RRR: check lid for LVDS-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 100
RRR: takeover config...
RRR: eval config...
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen do 'LVDS-1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'LVDS-1' @ 0 0 - 1024x576
RRR:--- 0 0 -> 1024 576
RRR: really apply config...
DRM2 RRR: size range: 0x0 -> 4096x4096
DRM2 RRR: set vsize: 1024x576
	DRM2 RRR: Mode
		DRM2 RRR: Geom: 1024 576
		DRM2 RRR: Refresh: 60.000000
		DRM2 RRR: Preferred: 0
	DRM2 RRR: Rotation: 0
	DRM2 RRR: Relative Mode: 1
	DRM2 RRR: Relative To: (null)
	DRM2 RRR: Align: 0.000000
RRR: done config...
xinerama screen 0 0 1024x576
xinerama setup............... 1 (nil)
ESTART: 1.22363 [0.93464] - E_Dnd Init
ESTART: 1.22369 [0.00006] - E_Dnd Init Done
ESTART: 1.22371 [0.00002] - Screens Init Done
ESTART: 1.22373 [0.00001] - E_Pointer Init
ESTART: 1.22374 [0.00002] - E_Pointer Init Done
ESTART: 1.22377 [0.00002] - E_Scale Init
ESTART: 1.24237 [0.01860] - E_Scale Init Done
ESTART: 1.24241 [0.00004] - E_Splash Init
ESTART: 1.24243 [0.00002] - E_Splash Init Done
ESTART: 1.24244 [0.00001] - Test File Format Support
<<<< Enlightenment Error >>>>
Enlightenment cannot access test image for 'eet' filetype. Check your install for setup issues.

ERR<5227>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x80005117 is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=17, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb763877e 0xb7616000
/usr/lib/libeina.so.1	 0xb7639402 0xb7616000
/usr/lib/libeina.so.1	 0xb763a781 0xb7616000
/usr/lib/libeo.so.1	 0xb62bb5b6 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b84a3 0xb62b0000
/usr/lib/libeo.so.1	 0xb62bd25e 0xb62b0000
/usr/lib/libevas.so.1	 0xb7220aa4 0xb71ed000
/usr/lib/libevas.so.1	 0xb723aeb0 0xb71ed000
/usr/lib/libeo.so.1	 0xb62bddf4 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b50b3 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b8ff2 0xb62b0000
/usr/lib/libecore_evas.so.1	 0xb6d608fb 0xb6d4f000
/usr/bin/enlightenment	 0x4f0b8a 0x4bf000
/usr/lib/libc.so.6	 0xb69981d3 0xb6980000
/usr/bin/enlightenment	 0x4f1a20 0x4bf000
EOF

ERR<5227>:eo lib/eo/efl_object.eo.c:18 efl_del() Eo ID 0x80005198 is not a valid object. Current thread: main. This ID has probably been deleted or this was never a valid object ID. (domain=0, current_domain=0, local_domain=0, available_domains=[0 1    ], generation=18, id=a0, ref=1)
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
/usr/lib/libeina.so.1	 0xb763877e 0xb7616000
/usr/lib/libeina.so.1	 0xb7639402 0xb7616000
/usr/lib/libeina.so.1	 0xb763a781 0xb7616000
/usr/lib/libeo.so.1	 0xb62bb5b6 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b84a3 0xb62b0000
/usr/lib/libeo.so.1	 0xb62bd25e 0xb62b0000
/usr/lib/libevas.so.1	 0xb7220aa4 0xb71ed000
/usr/lib/libevas.so.1	 0xb723aeb0 0xb71ed000
/usr/lib/libeo.so.1	 0xb62bddf4 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b50b3 0xb62b0000
/usr/lib/libeo.so.1	 0xb62b8ff2 0xb62b0000
/usr/lib/libecore_evas.so.1	 0xb6d608fb 0xb6d4f000
/usr/bin/enlightenment	 0x4f0b8a 0x4bf000
/usr/lib/libc.so.6	 0xb69981d3 0xb6980000
/usr/bin/enlightenment	 0x4f1a20 0x4bf000
EOF

ESTART: 1.35650 [0.11405] - Test File Format Support Done
ESTART: 1.35655 [0.00005] - E_Acpi Init
ESTART: 1.35942 [0.00287] - E_Acpi Init Done
ESTART: 1.35970 [0.00028] - E_Backlight Init
ESTART: 1.36161 [0.00191] - E_Backlight Init Done
ESTART: 1.36168 [0.00007] - E_Dpms Init
ESTART: 1.36171 [0.00003] - E_Dpms Init Done
ESTART: 1.36174 [0.00003] - E_Desklock Init
ESTART: 1.36186 [0.00013] - E_Desklock Init Done
ESTART: 1.36190 [0.00003] - Efreet Paths
ESTART: 1.36195 [0.00005] - Efreet Paths Done
ESTART: 1.36198 [0.00003] - E_Sys Init
ESTART: 1.36287 [0.00089] - E_Sys Init Done
ESTART: 1.36295 [0.00008] - E_Exec Init
ESTART: 1.36297 [0.00002] - E_Exec Init Done
ESTART: 1.36299 [0.00002] - E_Comp Freeze
ESTART: 1.36301 [0.00002] - E_Comp Freeze Done
ESTART: 1.36304 [0.00003] - E_Fm2 Init
ESTART: 1.36365 [0.00061] - E_Fm2 Init Done
ESTART: 1.36372 [0.00008] - E_Msg Init
ESTART: 1.36375 [0.00003] - E_Msg Init Done
ESTART: 1.36379 [0.00004] - E_Grabinput Init
ESTART: 1.36382 [0.00003] - E_Grabinput Init Done
ESTART: 1.36385 [0.00004] - E_Module Init
ESTART: 1.36388 [0.00003] - E_Module Init Done
ESTART: 1.36391 [0.00003] - E_Remember Init
ESTART: 1.36439 [0.00047] - E_Remember Init Done
ESTART: 1.36445 [0.00006] - E_Gadget Init
ESTART: 1.37045 [0.00600] - E_Gadget Init Done
ESTART: 1.37055 [0.00010] - E_Gadcon Init
ESTART: 1.37058 [0.00004] - E_Gadcon Init Done
ESTART: 1.37062 [0.00004] - E_Toolbar Init
ESTART: 1.37067 [0.00005] - E_Toolbar Init Done
ESTART: 1.37071 [0.00004] - E_Bg Init
ESTART: 1.37082 [0.00011] - E_Bg Init Done
ESTART: 1.37086 [0.00004] - E_Mouse Init
ESTART: 1.37090 [0.00004] - E_Mouse Init Done
ESTART: 1.37227 [0.00137] - E_Bindings Init
ESTART: 1.37302 [0.00075] - E_Bindings Init Done
ESTART: 1.37312 [0.00010] - E_Thumb Init
ESTART: 1.37315 [0.00003] - E_Thumb Init Done
ESTART: 1.37317 [0.00002] - E_Icon Init
ESTART: 1.37319 [0.00002] - E_Icon Init Done
ESTART: 1.37321 [0.00002] - E_Update Init
ESTART: 1.37329 [0.00008] - E_Update Init Done
ESTART: 1.37333 [0.00003] - E_Deskenv Init
ESTART: 1.37338 [0.00006] - E_Deskenv Init Done
ESTART: 1.37341 [0.00003] - E_Order Init
ESTART: 1.37347 [0.00005] - E_Order Init Done
ESTART: 1.37349 [0.00002] - E_Comp_Canvas Keys Grab
ESTART: 1.37351 [0.00002] - E_Comp_Canvas Keys Grab Done
ESTART: 1.37354 [0.00003] - Load Modules
ESTART: 1.37356 [0.00002] - Load Modules Done
ESTART: 1.37358 [0.00002] - Run Startup Apps
ESTART: 1.37362 [0.00004] - Run Startup Apps Done
ESTART: 1.37364 [0.00002] - E_Comp Thaw
ESTART: 1.37371 [0.00008] - E_Comp Thaw Done
ESTART: 1.37374 [0.00002] - E_Test Init
ESTART: 1.37376 [0.00002] - E_Test Done
ESTART: 1.37379 [0.00003] - Bryce Init
ApB created this task.Jul 29 2017, 3:04 AM
ApB added projects: Restricted Project, enlightenment-git.
ApB reopened this task as Open.Jul 29 2017, 9:22 AM

Nope. Still the same behavior.

Fascinating - can you rebuild EFL at git commit 33439865 and test?

Is this failure on The Beast?

When's the last commit that worked?

I don't know if this is an E or an EFL failure, but I can't reproduce it here.

ApB added a comment.Jul 29 2017, 12:09 PM

yep on the beast.

On thurstday it was working fine. Also tried the meson stuff and worked. This morning fails to render.

Because building per commit is tricky is it easy for you create a branch that reverts your changes only??

devs/derekf/for_apb

I've removed any commits I made after tuesday from that branch.

ApB added a subscriber: raster.Jul 29 2017, 2:21 PM

@ManMower

Bad news is that it still doesn't render and burns the cpu.

Good news is that its not your commits that fucked it up. So its either @zmike or @raster

I guess try my new devs/derekf/apb

if it works, then it'll narrow it down some - if it doesn't work then you have no new information.

We don't know if it's E or EFL that's broken for you, so trying multiple efl builds might be a waste of time. :)

You need to find a good state and advance into brokenness from there.

ApB added a comment.Jul 30 2017, 2:21 AM

@ManMower

Made no difference. So its either something in E, meson or 32 bits :/

ApB added a comment.Jul 30 2017, 5:59 AM

Building with autotools makes no difference so its not something related to meson. Its neither the kernel.

@ManMower could you try on a 32bit machine?

I think now it's either zmike's commit's to EFL on friday or something in E.

The chance that it's something 32-bit is incredibly small, but I'll give it a try on monday.

If you want to try the for_apb branch again it brings things back to earlier on friday. (ef03ecd89c)
it was previously 33439865d

so if we start bisecting, 33439865d is known bad.

ApB added a comment.Jul 30 2017, 6:36 AM

Build at this commit > https://git.enlightenment.org/core/enlightenment.git/commit/?id=721b1b944931864c8c1260a5e7c781be607ee33e and it works. With git efl.

So it is E that shits the bed. @raster or @zmike to blame.

Excellent!

I'm outta here. :D

ApB added a comment.Jul 30 2017, 7:16 AM

Excellent!

I'm outta here. :D

Yep it was not you. Build on your last commit (https://git.enlightenment.org/core/enlightenment.git/commit/?id=fbceceff5a1c0fc5490d1d5c8309a0d4e7b19aa7) and works. It leaves @zmike and @raster Enjoy your sunday. ;)

it certainly isn't the commit after 721b1b944931864c8c1260a5e7c781be607ee33e ... that would have nothing to do with it as it really only affects the meson build.. not autofoo (well it removes a desktp file for installation thats for the wizard... which is fine). it also deletes the icon file for that... but that's it... and for policy_mobile which is totally unused. if its the problem i THINK it is...

it's an ecore_drm2 issue. i see it on my new baytrail laptop. edid blob is NULL... see 2c1e2db8769b6f5d31a7f46dc227cf1569937c23 commit to efl. i fixed that.

there are still other problems. like i only get rotation options fro 0 and 180... why? when evas can rotate to any angle all on its own? (0, 90, 180, 270)? this device require me to rotate the screen by 270 to work normally... ARRGH!

@ApB : maybe try to find out on which spot it spins, record it with perf and look at the report ?

That might be interesting. if not, I can walk him through a git bisect on monday, as it seems to be a regression in E (the faster of the two repos to rebuild, hooray) with known bounds.

Out of interest, why do you think it is in E ?

Because I read the rest of the ticket, paying attention to the part where apb said that rebuilding an old E commit made the problem go away.

Solid argument.

ApB added a comment.Jul 30 2017, 10:00 AM
In T5806#93175, @raster wrote:

it certainly isn't the commit after 721b1b944931864c8c1260a5e7c781be607ee33e ... that would have nothing to do with it as it really only affects the meson build.. not autofoo (well it removes a desktp file for installation thats for the wizard... which is fine). it also deletes the icon file for that... but that's it... and for policy_mobile which is totally unused. if its the problem i THINK it is...

it's an ecore_drm2 issue. i see it on my new baytrail laptop. edid blob is NULL... see 2c1e2db8769b6f5d31a7f46dc227cf1569937c23 commit to efl. i fixed that.

there are still other problems. like i only get rotation options fro 0 and 180... why? when evas can rotate to any angle all on its own? (0, 90, 180, 270)? this device require me to rotate the screen by 270 to work normally... ARRGH!

No go. Rebuild everything (efl and E) from head after your commits and got the same result. (doesn't start and 100%CPU).

So what we know so far is that E shits the bed somewhere after dereks last commit to it.

ApB added a comment.Jul 30 2017, 2:00 PM

Its somewhere between this > https://git.enlightenment.org/core/enlightenment.git/commit/?id=37014499b16d93885aa990668498d395774e2a59 and this > https://git.enlightenment.org/core/enlightenment.git/commit/?id=d2cdde01d11c8680ca9dfc1a09e48754fa171016

git bisecting with ~26min of building each one will take about 6 hours.

run perf top when it burns the cpu and the top process is libeo.so.1.20.0 with _efl_object_call_resolve in case this helps second libeo.so.1.20.0 with _eo_obj_pointer_get in case it helps.

hmm ok. i had e just restarting again and again after a crash because of the edid issue. it'd consume cpu continually too.

so ok. we don't know the exact commit. we know a range. so you say 37014499b16d93885aa990668498d395774e2a59 is ok and d2cdde01d11c8680ca9dfc1a09e48754fa171016 is bad? right? it won't take 6hrs. it'll be 4 (3.8) steps. bisecting is log2 of the number of commits between. so 4 builds. you are talking of using git bisect ... right? you can bisect by hand too - that's easy enough on small ranges if you also have some suspicions in that range.

zmike added a comment.Aug 1 2017, 11:19 AM

Technically unrelated to either of those commits, though I can see why a bisect would potentially end around there.

raster added a comment.Aug 1 2017, 5:11 PM

well the look of it is it's a crash loop... something is crashing and the stop and trap white box of death thing for wayland is not working. the question is - where is the crash? catch that and we're maybe getting somewhere. maybe that commit causes the crash somehow? the NULL edid blob issues i was was exactly that - a crash loop not caught by white box of death. i have to say that the WBOD seems totally unreliable/doesn't work at all with wayland. (it doesn't come up giving me a report things crashed and gives me an option to exit or restart). at one point in the past it did do this...

In T5806#93175, @raster wrote:

it certainly isn't the commit after 721b1b944931864c8c1260a5e7c781be607ee33e ... that would have nothing to do with it as it really only affects the meson build.. not autofoo (well it removes a desktp file for installation thats for the wizard... which is fine). it also deletes the icon file for that... but that's it... and for policy_mobile which is totally unused. if its the problem i THINK it is...

it's an ecore_drm2 issue. i see it on my new baytrail laptop. edid blob is NULL... see 2c1e2db8769b6f5d31a7f46dc227cf1569937c23 commit to efl. i fixed that.

there are still other problems. like i only get rotation options fro 0 and 180... why? when evas can rotate to any angle all on its own? (0, 90, 180, 270)? this device require me to rotate the screen by 270 to work normally... ARRGH!

The reason that this happens is that the current code gets the available rotations via hardware plane properties (eg: what rotations does the primary hardware plane support). Rotation via Evas is not tied into the screen dialog currently (under wayland).

raster added a comment.Aug 3 2017, 4:57 PM

The reason that this happens is that the current code gets the available rotations via hardware plane properties (eg: what rotations does the primary hardware plane support). Rotation via Evas is not tied into the screen dialog currently (under wayland).

i was guessing as much... it should use a hw rotation if possible, otherwise use evas rotations otherwise... :)